// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

StartupEvents.registry('item', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	  // If you want to specify a different texture location you can do that too, like this:
  //Event shermens
  event.create('goldensherman').displayName('Golden Sherman').unstackable().texture('layer0','shermans:item/gold')
  //Reg
  event.create('chickon').displayName('Chickon').unstackable().texture('layer0','shermans:item/chickon').food(food => {
		food
    		.hunger(6)
    		.saturation(6)//This value does not directly translate to saturation points gained
      		.alwaysEdible()//Like golden apples
      		.fastToEat()//Like dried kelp
      		.meat()//Dogs are willing to eat it	
	})
	//Staff
	event.create('sherman').displayName('Sherman').unstackable().texture('layer0','shermans:item/sherman')
	
	event.create('bsherman').displayName('Builder Sherman').unstackable().texture('layer0','shermans:item/buildersherman')
	
	event.create('pengu').displayName('Pengu').unstackable().texture('layer0','shermans:item/franklin')
  	event.create('jim').displayName('Jim').unstackable().texture('layer0','shermans:item/dark_sherman')
	event.create('sean').displayName('Sean').unstackable().texture('layer0','shermans:item/sean')
	
	event.create('kekoa').displayName('Kekoa').unstackable().texture('layer0','shermans:item/kekoa')
	event.create('solio').displayName('Solio').unstackable().texture('layer0','shermans:item/phenix')
	// Logo
	event.create('spellbound').displayName('Spellbound').unstackable().texture('layer0','shermans:item/spellbound')
})

